Bug 68330 - GDM login screen is not keyboard-navigable
GDM login screen is not keyboard-navigable
Product: Red Hat Public Beta
Classification: Retired
Component: gdm (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
: 68209 (view as bug list)
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-09 02:35 EDT by Mark McClelland
Modified: 2007-04-18 12:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-14 00:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark McClelland 2002-07-09 02:35:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
There is no way to access the Option, Session, or System buttons using only the
keyboard in a GDM login screen. If the user presses <Tab> when the
username/password entryfield has the focus, the entryfield loses the focus, but
no other GUI component gets the focus, and pressing <Shift>-<Tab> or <Tab>
repeatedly does not get it back.

How reproducible:

Steps to Reproduce:
1. Clean custom install of limbo with Gnome and graphical login option
2. Boot to runlevel 5
3. Press <Tab> key in GDM screen
4. Attempt to get focus back without using mouse.

Actual Results:  Without using the mouse, it is isn't possible to access the
buttons at the bottom of the screen, or to log in after pressing <Tab>.

Expected Results:  Option button should have gotten the focus, or the focus
should have remained with the entryfield if keyboard navigation is not supported.
Comment 1 Bill Nottingham 2002-07-09 15:59:02 EDT
*** Bug 68209 has been marked as a duplicate of this bug. ***
Comment 2 George Lebl 2002-08-07 19:18:33 EDT
Just added a fix to the tab thing in cvs, the entry will no longer lose focus. 
However the graphical greeter is still not keyboard-navigable, that will require
a bit of work.  I have some wonderfully ugly hacks in mind to make this happen.
Comment 3 Havoc Pennington 2002-08-14 00:22:53 EDT
This is now fixed thanks to George.
Comment 4 Jay Turner 2002-08-15 13:17:57 EDT
Fix confirmed with gdm-

Note You need to log in before you can comment on or make changes to this bug.